Subject: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Mar 2021 12:22:43 +0300

Andrea, if I want to recompile the Lisp files with comp-debug set to
1, is there a better way than removing the existing *.eln files, then
compiling them again with a command such as (for preloaded files):

  emacs -batch -l comp -eval "(setq comp-debug 1)" -f batch-byte-native-compile-for-bootstrap FILE

and for non-preloaded ones:

  emacs -batch -l comp -eval "(setq comp-debug 1)" -f batch-native-compile FILE

Is that the right procedure?

And another question: if the preloaded files are recompiled as above,
do I also need to re-dump Emacs, or will the existing emacs.pdmp still
be valid for running Emacs?

And finally, in what directory will the pseudo C code files be dumped,
when using comp-debug = 1? in the same directory as the corresponding
.eln files, or somewhere else?

Thanks.